require 'vertebrae'
require 'agra_api/base'
require 'agra_api/organisation'
require 'agra_api/signature'
require 'agra_api/client'

module AgraApi
  extend Vertebrae::Base

  class << self
    def new(options = {}, &block)
      AgraApi::Client.new(options, &block)
    end
  end
end