module AgraApi
  class Signature < Base
    attr_accessor :petition_id

    def base_path
      "petitions/#{petition_id}/signatures"
    end

    def find_by_email(email_address)
      begin
        response = client.get_request("#{normalized_base_path}lookup", email: email_address)
        response.body
      rescue Vertebrae::ResponseError => e
        if e.status_code == 404
          nil
        else
          raise
        end
      end
    end
  end
end
